<?php

class LePressRequest {
	private $params = array('header' => array(), 'body' => array(), 'timeout' => '30');
	
	function __construct($role = false, $action = false) {
		$this->role = $role;
		$this->action = $action;
	}
	
	function addParam($param, $value) {
		$this->params['body'][$param] = $value;	
	}
	
	function setBlocking($value) {
		$this->params['blocking'] = $value;
	}
	
	function addParams($params_arr) {
		$this->params['body'] = array_merge($this->params['body'], $params_arr);
	}
	
	function toArray() {
		$this->params['body'] = array_merge(array('lepress-role' => $this->role, 'lepress-blog' => get_bloginfo('siteurl'), 'lepress-action' => $this->action), $this->params['body']);
		return $this->params;
	}
	
	function doPost($url) {
		$this->request = wp_remote_post(add_query_arg(array('lepress-service' => 1), $url), $this->toArray());
		return $this->request;
	}
	
	function doGet($url) {
		$this->request = wp_remote_get(add_query_arg(array('lepress-service' => 1), $url), $this->toArray());
		return $this->request;
	}
	
	function getStatusCode() {
		return intval(wp_remote_retrieve_response_code($this->request));
	}
	
	function getBody() {
		return trim(wp_remote_retrieve_body($this->request));
	}
	
}

?>